import React from 'react'
import { Box, Typography } from '@mui/material'
import Grid from '@mui/material/Grid2';
import Carousel from '../components/Carousel'
import ProductSelected from '../components/ProductSelected'
import SocialMedia from '../components/SocialMedia'
import Feature from '../components/Feature'
import { Link } from '@mui/material'
import VideoAds from '../components/VideoAds'
import KeyboardArrowRightIcon from '@mui/icons-material/KeyboardArrowRight';
import KeyboardArrowLeftIcon from '@mui/icons-material/KeyboardArrowLeft';
import ProductType from '../components/ProductType';
import NewsLetter from '../components/NewsLetter';

const Home = () => {

  return (
    <>
      <Carousel />
      <Box sx={{ px: 24, mb: 10 }}>

        <Box sx={{
          display: "flex",
          position: "relative",
          py: 5
        }}>
          <Box
            sx={{
              display: "flex",
              alignItems: "center",
              justifyContent: "center",
              mx: "auto"
            }}
          >
            <KeyboardArrowLeftIcon sx={{ mr: 3, color: "#B7B7B7" }} /> {/* Icon at the start */}
            <Typography variant="h4" sx={{ mx: "auto" }}>
              NEW IN
            </Typography>
            <KeyboardArrowRightIcon sx={{ ml: 3, color: "#B7B7B7" }} /> {/* Icon at the end */}
          </Box>

          <Link href="#" sx={{ position: "absolute", right: 0, textDecoration: "underline" }}>VIEW ALL</Link>

        </Box>
        <ProductSelected />
      </Box>

      <VideoAds width={"100%"} height={700} />

      <Box sx={{ px: 24, mb: 10 }}>


        <Box sx={{ flexGrow: 1, mt: 10 }}>
          <Grid container spacing={2}>
            <Grid size={12}>
              <ProductType />
            </Grid>
            <Grid size={6}>
              <ProductType />
            </Grid>
            <Grid size={6}>
              <ProductType />
            </Grid>
            <Grid size={12}>
              <ProductType />
            </Grid>
          </Grid>
        </Box>

      </Box>

      <NewsLetter />

      <Box sx={{ px: 24, my: 10 }}>

        <SocialMedia />
        <Feature />
      </Box>


    </>
  )
}

export default Home